Package com.emc.documentum.rest.dfc

# Interface LightweightObjectManager

public interface LightweightObjectManager
The lightweight object manager.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SysObject`
  `dematerialize(String objectId)`
  Dematerialize a lightweight object.
  `String`
  `getLightweightType(String sharedParentId)`
  Get the lightweight object type which shares this shared parent object
  `SysObject`
  `getParentObject(String objectId, AttributeView attributeView)`
  Get the parent object of a lightweight object If the object's parent is itself, the DfException will be thrown
  `SysObject`
  `materialize(String objectId)`
  Materialize a lightweight object.
  `SysObject`
  `reparent(String objectId, String newParent)`
  Reparent the lightweight object to a new shareable parent.

- ## Method Details

  - ### materialize

    SysObject materialize(String objectId) throws com.documentum.fc.common.DfException
    Materialize a lightweight object. The object must be a lightweight object and not materialized.
    Parameters:
      `objectId` - the lightweight object id
    Returns:
      the materialized object
    Throws:
      `com.documentum.fc.common.DfException` - the exceptions during materialize

  - ### dematerialize

    SysObject dematerialize(String objectId) throws com.documentum.fc.common.DfException
    Dematerialize a lightweight object. The object must be a lightweight object and materialize.
    Parameters:
      `objectId` - the lightweight object id
    Returns:
      the dematerialized object
    Throws:
      `com.documentum.fc.common.DfException` - the exceptions during dematerialize

  - ### reparent

    SysObject reparent(String objectId, String newParent) throws com.documentum.fc.common.DfException
    Reparent the lightweight object to a new shareable parent.
    Parameters:
      `objectId` - the lightweight object id
      `newParent` - the new parent shareable object id
    Returns:
      the reparented object
    Throws:
      `com.documentum.fc.common.DfException` - the exceptions during reparent

  - ### getParentObject

    SysObject getParentObject(String objectId, AttributeView attributeView) throws com.documentum.fc.common.DfException
    Get the parent object of a lightweight object If the object's parent is itself, the DfException will be thrown
    Parameters:
      `objectId` - the lightweight object id
      `attributeView` - the attribute view
    Returns:
      the parent sysobject
    Throws:
      `com.documentum.fc.common.DfException` - the exceptions during get parent

  - ### getLightweightType

    String getLightweightType(String sharedParentId) throws com.documentum.fc.common.DfException
    Get the lightweight object type which shares this shared parent object
    Parameters:
      `sharedParentId` - the shared object id
    Returns:
      the lightweight type name, null means the object is not shared
    Throws:
      `com.documentum.fc.common.DfException` - the exceptions during get lightweight types